C  --------------------------------------------------------------
C (C) COPYRIGHT 1994, 1996 University of Chicago
C   
C   THIS PROGRAM DISCLOSES MATERIAL PROTECTABLE UNDER COPYRIGHT
C   LAWS OF THE UNITED STATES. USE IS PERMITTED WITHOUT FEE FOR
C   EDUCATION AND NON-PROFIT RESEARCH PURPOSES SUBJECT TO THE
C   TERMS OF A LICENSE DISTRIBUTED WITH THE ADIFOR 2.0 SOFTWARE
C   AND AVAILABLE AT:
C   http://www.mcs.anl.gov/autodiff/adifor_license.html, or
C   http://www.cs.rice.edu/~adifor/AdiforPublicLicense.html.
C   ANY ENTITY DESIRING PERMISSION TO INCORPORATE THIS SOFTWARE
C   OR A WORK BASED ON THE SOFTWARE INTO COMMERCIAL PRODUCTS OR
C   OTHERWISE USE IT FOR COMMERCIAL PURPOSES SHOULD CONTACT:
C   
C   Paul Hovland, Mathematics and Computer Science Division,
C   Argonne National Laboratory, 9700 S. Cass Avenue, Argonne IL
C   60439, hovland@mcs.anl.gov.
C   
C   Alan Carle, Center for Research on Parallel Computation, Rice
C   University MS 41, 6100 Main Street, Houston, TX 77005,
C   carle@cs.rice.edu.
C  --------------------------------------------------------------
C

      subroutine ehrpt
      common /ehxcb/ ehxout
      integer ehxout

      external ehxcks
      external ehxckd
      external ehxckc
      external ehxckz

      logical ehxcks
      logical ehxckd
      logical ehxckc
      logical ehxckz

      if ( ehxcks() ) then 
         write (ehxout,*)
     +        'Single precision exception(s) occurred evaluating: '
         call ehrpts
      endif

      if ( ehxckd() ) then
         write (ehxout,*)
     +        'Double precision exception(s) occurred evaluating: '
         call ehrptd
      endif

      if ( ehxckc() ) then
         write (ehxout,*)
     +        'Complex exception(s) occurred evaluating: '
         call ehrptc
      endif


      if ( ehxckz() ) then
         write (ehxout,*)
     +        'Double complex exception(s) occurred evaluating: '
         call ehrptz
      endif


C      call once_summary()
      call ehorpt()

      return
      end
