REM Run four flavors of the msa example

REM Process all four flavors with Adifor
Adifor21 "AD_SCRIPT=msa_nps_dense.adf"
Adifor21 "AD_SCRIPT=msa_nps_sparse.adf"
Adifor21 "AD_SCRIPT=msa_ps_comp.adf"
Adifor21 "AD_SCRIPT=msa_ps_sparse.adf"
REM Done processing all four flavors with Adifor
pause

df  nps_dense\g_dmsafg.f nps_dense\g_dmsamain.f source\dmsabc.f source\dmsafg.f source\dmsamain.f timer.f nps_dense\driver_nps_dense.f /link %AD_LIB%\lib\adintrinsics.lib /out:msa_nps_dense.exe

df   nps_sparse\s_dmsafg.f nps_sparse\s_dmsamain.f source\dmsabc.f source\dmsafg.f source\dmsamain.f timer.f nps_sparse\driver_nps_sparse.f /link %AD_LIB%\lib\sparslinc.lib %AD_LIB%\lib\adintrinsics.lib /out:msa_nps_sparse.exe

df   ps_comp\g_dmsasep.f source\dmsasep.f source\dmsabc.f source\dmsafg.f source\dmsamain.f source\dmsasparsity.f source\dsm.f source\fd.f ps_comp\driver_ps_comp.f timer.f /link %AD_LIB%\lib\adintrinsics.lib /out:msa_ps_comp.exe

df   ps_sparse\s_dmsasep.f source\dmsasep.f source\dmsabc.f source\dmsafg.f source\dmsamain.f source\dmsasparsity.f source\dsm.f source\fd.f ps_sparse\driver_ps_sparse.f timer.f /link %AD_LIB%\lib\sparslinc.lib %AD_LIB%\lib\adintrinsics.lib /out:msa_ps_sparse.exe
REM Done compiling all four flavors of msa
pause

REM running ps_sparse
msa_ps_sparse
pause

REM running nps_sparse
msa_nps_sparse
pause

REM running ps_comp
msa_ps_comp
pause

REM running nps_dense
msa_nps_dense
pause

