#!/bin/csh -f

if ($#argv != 1)  then
   echo usage: $argv[0] script-to-execute
   exit -1
endif

setenv FC  f77
setenv RANLIB  ranlib
setenv AR  /bin/ar
setenv HAS_DOUBLE_COMPLEX  1
setenv USE_64_PTRS 0
setenv FFLAGS  -O 

# No need to setenv the C compiler if Report Once is not wanted.
setenv WANTS_REPORTONCE  1
setenv CC      cc
setenv CFLAGS  -O

exec $argv[1]

exit 0
