#include "PREC_advis_pd_int_custom.c" 

 
void spg3_ca(destptrptr,aaptr,aaptrptr,baptr,baptrptr,captr,captrptr,lineno,filename) 

  int *lineno;
  char *filename;
  PREC_vectorstruct **destptrptr, **aaptrptr,**baptrptr,**captrptr;
  FLOATING_DECLARE *aaptr,*baptr,*captr;

{

#ifdef _VTRACE
   int effect_arity = 0;
   int no_of_zero_vecs = 0;
   int no_of_zero_mult = 0;
   int no_of_zero_both = 0;
   int old_dstype = 0;
   int new_dstype = 0;
   int old_nz = 0;
   int new_nz = 0;
   int real_time = 0;
   struct tms tmrec;
   short lhs_is_in_rhs = FALSE;
   int rhs_nz_sum = 0;
   if ((*aaptrptr) != NULL) {
      if(!((*aaptrptr)->nonzeroes)) no_of_zero_vecs++;
      if(X_IS_ZERO(*aaptr)) no_of_zero_mult++;
      if((*aaptrptr)->nonzeroes && !X_IS_ZERO(*aaptr)) effect_arity++;
      if(!((*aaptrptr)->nonzeroes || !X_IS_ZERO(*aaptr))) no_of_zero_both++;
      if ((*aaptrptr) == (*destptrptr)) lhs_is_in_rhs = TRUE;
      MULT_COUNT += (*aaptrptr)->nonzeroes;
      rhs_nz_sum += (*aaptrptr)->nonzeroes;
   }
   if ((*baptrptr) != NULL) {
      if(!((*baptrptr)->nonzeroes)) no_of_zero_vecs++;
      if(X_IS_ZERO(*baptr)) no_of_zero_mult++;
      if((*baptrptr)->nonzeroes && !X_IS_ZERO(*baptr)) effect_arity++;
      if(!((*baptrptr)->nonzeroes || !X_IS_ZERO(*baptr))) no_of_zero_both++;
      if ((*baptrptr) == (*destptrptr)) lhs_is_in_rhs = TRUE;
      MULT_COUNT += (*baptrptr)->nonzeroes;
      rhs_nz_sum += (*baptrptr)->nonzeroes;
   }
   if ((*captrptr) != NULL) {
      if(!((*captrptr)->nonzeroes)) no_of_zero_vecs++;
      if(X_IS_ZERO(*captr)) no_of_zero_mult++;
      if((*captrptr)->nonzeroes && !X_IS_ZERO(*captr)) effect_arity++;
      if(!((*captrptr)->nonzeroes || !X_IS_ZERO(*captr))) no_of_zero_both++;
      if ((*captrptr) == (*destptrptr)) lhs_is_in_rhs = TRUE;
      MULT_COUNT += (*captrptr)->nonzeroes;
      rhs_nz_sum += (*captrptr)->nonzeroes;
   }
   if ((*destptrptr) != NULL) {
      old_dstype = (*destptrptr)->dstype;
      old_nz = (*destptrptr)->nonzeroes;
   }
#endif

adxpy3(destptrptr,aaptr,aaptrptr,baptr,baptrptr,captr,captrptr,lineno,filename); 

#ifdef _VTRACE
   new_dstype = (*destptrptr)->dstype;
   new_nz = (*destptrptr)->nonzeroes;
   times(&tmrec); real_time = (long)tmrec.tms_utime;

   ADXPY_CALLS++;
   if(effect_arity)
     ADD_COUNT += ((rhs_nz_sum - new_nz) / effect_arity);
   collect_visual(3, effect_arity, no_of_zero_vecs, no_of_zero_mult, no_of_zero_both, lhs_is_in_rhs, old_dstype, new_dstype, FALSE);
   update_vector((*destptrptr), real_time, 3, effect_arity, new_dstype);
#endif

} 

 
void spg4_ca(destptrptr,aaptr,aaptrptr,baptr,baptrptr,captr,captrptr,daptr,daptrptr,lineno,filename) 

  int *lineno;
  char *filename;
  PREC_vectorstruct **destptrptr, **aaptrptr,**baptrptr,**captrptr,**daptrptr;
  FLOATING_DECLARE *aaptr,*baptr,*captr,*daptr;

{

#ifdef _VTRACE
   int effect_arity = 0;
   int no_of_zero_vecs = 0;
   int no_of_zero_mult = 0;
   int no_of_zero_both = 0;
   int old_dstype = 0;
   int new_dstype = 0;
   int old_nz = 0;
   int new_nz = 0;
   int real_time = 0;
   struct tms tmrec;
   short lhs_is_in_rhs = FALSE;
   int rhs_nz_sum = 0;
   if ((*aaptrptr) != NULL) {
      if(!((*aaptrptr)->nonzeroes)) no_of_zero_vecs++;
      if(X_IS_ZERO(*aaptr)) no_of_zero_mult++;
      if((*aaptrptr)->nonzeroes && !X_IS_ZERO(*aaptr)) effect_arity++;
      if(!((*aaptrptr)->nonzeroes || !X_IS_ZERO(*aaptr))) no_of_zero_both++;
      if ((*aaptrptr) == (*destptrptr)) lhs_is_in_rhs = TRUE;
      MULT_COUNT += (*aaptrptr)->nonzeroes;
      rhs_nz_sum += (*aaptrptr)->nonzeroes;
   }
   if ((*baptrptr) != NULL) {
      if(!((*baptrptr)->nonzeroes)) no_of_zero_vecs++;
      if(X_IS_ZERO(*baptr)) no_of_zero_mult++;
      if((*baptrptr)->nonzeroes && !X_IS_ZERO(*baptr)) effect_arity++;
      if(!((*baptrptr)->nonzeroes || !X_IS_ZERO(*baptr))) no_of_zero_both++;
      if ((*baptrptr) == (*destptrptr)) lhs_is_in_rhs = TRUE;
      MULT_COUNT += (*baptrptr)->nonzeroes;
      rhs_nz_sum += (*baptrptr)->nonzeroes;
   }
   if ((*captrptr) != NULL) {
      if(!((*captrptr)->nonzeroes)) no_of_zero_vecs++;
      if(X_IS_ZERO(*captr)) no_of_zero_mult++;
      if((*captrptr)->nonzeroes && !X_IS_ZERO(*captr)) effect_arity++;
      if(!((*captrptr)->nonzeroes || !X_IS_ZERO(*captr))) no_of_zero_both++;
      if ((*captrptr) == (*destptrptr)) lhs_is_in_rhs = TRUE;
      MULT_COUNT += (*captrptr)->nonzeroes;
      rhs_nz_sum += (*captrptr)->nonzeroes;
   }
   if ((*daptrptr) != NULL) {
      if(!((*daptrptr)->nonzeroes)) no_of_zero_vecs++;
      if(X_IS_ZERO(*daptr)) no_of_zero_mult++;
      if((*daptrptr)->nonzeroes && !X_IS_ZERO(*daptr)) effect_arity++;
      if(!((*daptrptr)->nonzeroes || !X_IS_ZERO(*daptr))) no_of_zero_both++;
      if ((*daptrptr) == (*destptrptr)) lhs_is_in_rhs = TRUE;
      MULT_COUNT += (*daptrptr)->nonzeroes;
      rhs_nz_sum += (*daptrptr)->nonzeroes;
   }
   if ((*destptrptr) != NULL) {
      old_dstype = (*destptrptr)->dstype;
      old_nz = (*destptrptr)->nonzeroes;
   }
#endif

adxpy4(destptrptr,aaptr,aaptrptr,baptr,baptrptr,captr,captrptr,daptr,daptrptr,lineno,filename); 

#ifdef _VTRACE
   new_dstype = (*destptrptr)->dstype;
   new_nz = (*destptrptr)->nonzeroes;
   times(&tmrec); real_time = (long)tmrec.tms_utime;

   ADXPY_CALLS++;
   if(effect_arity)
     ADD_COUNT += ((rhs_nz_sum - new_nz) / effect_arity);
   collect_visual(4, effect_arity, no_of_zero_vecs, no_of_zero_mult, no_of_zero_both, lhs_is_in_rhs, old_dstype, new_dstype, FALSE);
   update_vector((*destptrptr), real_time, 4, effect_arity, new_dstype);
#endif

} 

 
void spg5_ca(destptrptr,aaptr,aaptrptr,baptr,baptrptr,captr,captrptr,daptr,daptrptr,eaptr,eaptrptr,lineno,filename) 

  int *lineno;
  char *filename;
  PREC_vectorstruct **destptrptr, **aaptrptr,**baptrptr,**captrptr,**daptrptr,**eaptrptr;
  FLOATING_DECLARE *aaptr,*baptr,*captr,*daptr,*eaptr;

{

#ifdef _VTRACE
   int effect_arity = 0;
   int no_of_zero_vecs = 0;
   int no_of_zero_mult = 0;
   int no_of_zero_both = 0;
   int old_dstype = 0;
   int new_dstype = 0;
   int old_nz = 0;
   int new_nz = 0;
   int real_time = 0;
   struct tms tmrec;
   short lhs_is_in_rhs = FALSE;
   int rhs_nz_sum = 0;
   if ((*aaptrptr) != NULL) {
      if(!((*aaptrptr)->nonzeroes)) no_of_zero_vecs++;
      if(X_IS_ZERO(*aaptr)) no_of_zero_mult++;
      if((*aaptrptr)->nonzeroes && !X_IS_ZERO(*aaptr)) effect_arity++;
      if(!((*aaptrptr)->nonzeroes || !X_IS_ZERO(*aaptr))) no_of_zero_both++;
      if ((*aaptrptr) == (*destptrptr)) lhs_is_in_rhs = TRUE;
      MULT_COUNT += (*aaptrptr)->nonzeroes;
      rhs_nz_sum += (*aaptrptr)->nonzeroes;
   }
   if ((*baptrptr) != NULL) {
      if(!((*baptrptr)->nonzeroes)) no_of_zero_vecs++;
      if(X_IS_ZERO(*baptr)) no_of_zero_mult++;
      if((*baptrptr)->nonzeroes && !X_IS_ZERO(*baptr)) effect_arity++;
      if(!((*baptrptr)->nonzeroes || !X_IS_ZERO(*baptr))) no_of_zero_both++;
      if ((*baptrptr) == (*destptrptr)) lhs_is_in_rhs = TRUE;
      MULT_COUNT += (*baptrptr)->nonzeroes;
      rhs_nz_sum += (*baptrptr)->nonzeroes;
   }
   if ((*captrptr) != NULL) {
      if(!((*captrptr)->nonzeroes)) no_of_zero_vecs++;
      if(X_IS_ZERO(*captr)) no_of_zero_mult++;
      if((*captrptr)->nonzeroes && !X_IS_ZERO(*captr)) effect_arity++;
      if(!((*captrptr)->nonzeroes || !X_IS_ZERO(*captr))) no_of_zero_both++;
      if ((*captrptr) == (*destptrptr)) lhs_is_in_rhs = TRUE;
      MULT_COUNT += (*captrptr)->nonzeroes;
      rhs_nz_sum += (*captrptr)->nonzeroes;
   }
   if ((*daptrptr) != NULL) {
      if(!((*daptrptr)->nonzeroes)) no_of_zero_vecs++;
      if(X_IS_ZERO(*daptr)) no_of_zero_mult++;
      if((*daptrptr)->nonzeroes && !X_IS_ZERO(*daptr)) effect_arity++;
      if(!((*daptrptr)->nonzeroes || !X_IS_ZERO(*daptr))) no_of_zero_both++;
      if ((*daptrptr) == (*destptrptr)) lhs_is_in_rhs = TRUE;
      MULT_COUNT += (*daptrptr)->nonzeroes;
      rhs_nz_sum += (*daptrptr)->nonzeroes;
   }
   if ((*eaptrptr) != NULL) {
      if(!((*eaptrptr)->nonzeroes)) no_of_zero_vecs++;
      if(X_IS_ZERO(*eaptr)) no_of_zero_mult++;
      if((*eaptrptr)->nonzeroes && !X_IS_ZERO(*eaptr)) effect_arity++;
      if(!((*eaptrptr)->nonzeroes || !X_IS_ZERO(*eaptr))) no_of_zero_both++;
      if ((*eaptrptr) == (*destptrptr)) lhs_is_in_rhs = TRUE;
      MULT_COUNT += (*eaptrptr)->nonzeroes;
      rhs_nz_sum += (*eaptrptr)->nonzeroes;
   }
   if ((*destptrptr) != NULL) {
      old_dstype = (*destptrptr)->dstype;
      old_nz = (*destptrptr)->nonzeroes;
   }
#endif

adxpy5(destptrptr,aaptr,aaptrptr,baptr,baptrptr,captr,captrptr,daptr,daptrptr,eaptr,eaptrptr,lineno,filename); 

#ifdef _VTRACE
   new_dstype = (*destptrptr)->dstype;
   new_nz = (*destptrptr)->nonzeroes;
   times(&tmrec); real_time = (long)tmrec.tms_utime;

   ADXPY_CALLS++;
   if(effect_arity)
     ADD_COUNT += ((rhs_nz_sum - new_nz) / effect_arity);
   collect_visual(5, effect_arity, no_of_zero_vecs, no_of_zero_mult, no_of_zero_both, lhs_is_in_rhs, old_dstype, new_dstype, FALSE);
   update_vector((*destptrptr), real_time, 5, effect_arity, new_dstype);
#endif

} 
