#define SINGLE
/*------------------------------------------------------------------*/
/* (C) COPYRIGHT 1994 University of Chicago                         */
/*                                                                  */
/* THIS PROGRAM DISCLOSES MATERIAL PROTECTABLE UNDER COPYRIGHT      */
/* LAWS OF THE UNITED STATES. USE IS PERMITTED WITHOUT FEE FOR      */
/* EDUCATION AND NON-PROFIT RESEARCH PURPOSES SUBJECT TO THE        */
/* TERMS OF A LICENSE DISTRIBUTED WITH THE ADIFOR 2.0 SOFTWARE      */
/* AND AVAILABLE AT:                                                */
/* http://www.mcs.anl.gov/autodiff/adifor_license.html, or          */
/* http://www.cs.rice.edu/fortran-tools/ADIFOR/adifor_license.html. */
/* ANY ENTITY DESIRING PERMISSION TO INCORPORATE THIS SOFTWARE      */
/* OR A WORK BASED ON THE SOFTWARE INTO COMMERCIAL PRODUCTS OR      */
/* OTHERWISE USE IT FOR COMMERCIAL PURPOSES SHOULD CONTACT:         */
/*                                                                  */
/* Paul Hovland, Mathematics and Computer Science Division,         */
/* Argonne National Laboratory, 9700 S. Cass Avenue, Argonne IL     */
/* 60439, hovland@mcs.anl.gov.                                      */
/*                                                                  */
/* Alan Carle, Center for Research on Parallel Computation, Rice    */
/* University MS 41, 6100 S. Main Street, Houston, TX 77251-1892,   */
/* carle@cs.rice.edu.                                               */
/*------------------------------------------------------------------*/



/*
 * This file contains prototypes for the subroutines in axpy_auto_gen.c.
 * Since the routines in axpy_auto_gen.c are never called in SparsLinC,
 * the only place where this file should be included is in the code
 * interfacing with SparsLinC, if that code is written in ANSI C
 * (e.g., ADIC would be one such instance).
 */

#include "sgaxpy_pd_macros_and_data_structures.h"

#define _P(x) ()
 
void sspg3 _P((
    svectorstruct **destptrptr,
    float  *aaptr,
    svectorstruct **aaptrptr,
    float  *baptr,
    svectorstruct **baptrptr,
    float  *captr,
    svectorstruct **captrptr
    ));
 
void sspg4 _P((
    svectorstruct **destptrptr,
    float  *aaptr,
    svectorstruct **aaptrptr,
    float  *baptr,
    svectorstruct **baptrptr,
    float  *captr,
    svectorstruct **captrptr,
    float  *daptr,
    svectorstruct **daptrptr
    ));
 
void sspg5 _P((
    svectorstruct **destptrptr,
    float  *aaptr,
    svectorstruct **aaptrptr,
    float  *baptr,
    svectorstruct **baptrptr,
    float  *captr,
    svectorstruct **captrptr,
    float  *daptr,
    svectorstruct **daptrptr,
    float  *eaptr,
    svectorstruct **eaptrptr
    ));

