REM process c2 to generate five different flavors of derivative code

Adifor21 "AD_SCRIPT=c2dense.adf"
Adifor21 "AD_SCRIPT=c2select.adf"
Adifor21 "AD_SCRIPT=c2strip.adf"
Adifor21 "AD_SCRIPT=c2vector.adf"
Adifor21 "AD_SCRIPT=c2sparse.adf"

cd dense
df admain.f g_fcn.f g_fcn2.f /link %AD_LIB%\lib\ReqADIntrinsics.obj %AD_LIB%\lib\ADIntrinsics.lib /out:c2_dense.exe
c2_dense < data1 > data1.out
cd ..
pause

cd select
df admain.f g_fcn.f g_fcn2.f /link %AD_LIB%\lib\ReqADIntrinsics.obj %AD_LIB%\lib\ADIntrinsics.lib /out:c2_select.exe
c2_select < data1 > data1.out
cd ..
pause


cd strip
df admain.f g_fcn.f g_fcn2.f /link %AD_LIB%\lib\ReqADIntrinsics.obj %AD_LIB%\lib\ADIntrinsics.lib /out:c2_strip.exe
c2_strip < data1 > data1.out
cd ..
pause

cd vector
df admain.f g_fcn.f g_fcn2.f /link %AD_LIB%\lib\ReqADIntrinsics.obj %AD_LIB%\lib\ADIntrinsics.lib /out:c2_vector.exe
c2_vector < data1 > data1.out
cd ..
pause

cd sparse
df admain.f g_fcn.f g_fcn2.f /link %AD_LIB%\lib\ReqADIntrinsics.obj %AD_LIB%\lib\ADIntrinsics.lib %AD_LIB%\lib\SparsLinC.lib /out:c2_sparse.exe
c2_sparse < data1 > data1.out
cd ..
pause

REM done
