#ifdef FVAL
      z = x ** y
#endif
#finish FVAL

      if ( x .ne. TYPE(0.0) ) then
         z = x ** (y-TYPE(2.0))
         fxx = y * (y-TYPE(1.0)) * z

c        z = x ** (y-1)
         z = z * x

C        fx = y * (x ** (y-1) )
         fx = y * z

         if ( x .lt. TYPE(0.0) ) then
c           z = x ** y
            z = z * x

#ifdef PERFORMANCE
            fy = TYPE(0.0)
            fxy = TYPE(0.0)
            fyy = TYPE(0.0)
#else
            call EXCEPTION_HANDLER
#endif

         else
c              (x > 0 here)
C           Use fy for scratch.
            fy = log (x)

C           Here fxy = x**(y-1) * (y * log(x) + 1.0 )
            fxy = z * (y * fy + TYPE (1.0))

C           This makes z = x ** y
            z = z * x
C           This makes fyy = log(x) * log(x) * (x ** y)
            fyy = ( fy * fy ) * z

C           This makes fy = log(x) * x ** y
            fy = fy * z
         endif
      else
C        (x == 0)

         z = x ** y

#ifndef PERFORMANCE
## The fx assignment does nothing if y<1.0, since it happens again in
## the exception handler, but it's a trade of a branch vs. assignment.
## Same with fxx assignment. We have to call the exception handler
## anyway for the y partials.
         fx = TYPE(0.0)
         fxx = TYPE(0.0)
         call EXCEPTION_HANDLER
##
##       Read the above as:
###ifdef FIRST
##         if ( y .lt. TYPE(1.0) ) then
##            call EXCEPTION_HANDLER  (sets fx, fy)
##         else
##            fx = TYPE(0.0)
##            call EXCEPTION_HANDLER  (sets     fy)
##         endif
###elif SECOND
##         if ( y .lt. TYPE(1.0) then
##            call EXCEPTION_HANDLER (sets fx, fy,fxx,fxy,fyy for sure) 
##         else if ( y .lt. TYPE(2.0) ) then
##            fx = TYPE(0.0)
##            call EXCEPTION_HANDLER (sets     fy,fxx,fxy,fyy only)
##         else 
##            fx = TYPE(0.0)
##            fxx = TYPE(0.0)
##            call EXCEPTION_HANDLER (sets     fy,   ,fxy,fyy only)
##         endif
###endif /* SECOND */
##
#else /* (is PERFORMANCE) */
C        Reduced test for exceptional condition to this...
         fx = TYPE(0.0)
         fy = TYPE(0.0)
         fxx = TYPE(0.0)
         fxy = TYPE(0.0)
         fyy = TYPE(0.0)
#endif

      endif
